%define		apxs	/usr/sbin/apxs
Summary:	Support for the PHP via FastCGI protocol for Apache webserver
Name:		apache-php-fcgi
Version:	5.6
Release:	2
License:	GPL
Group:		Applications/WWW
Source0:	apache.conf
BuildRequires:	apache-devel >= 1.3.39
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache-mod_actions
Requires:	apache-mod_fastcgi
Requires:	php(fcgi)
Suggests:	php-fcgi-init
Provides:	webserver(php) = %{version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
This virtual package provides support for the PHP via FastCGI
protocol.

%prep
%setup -qcT

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/conf.d
cp -p %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_php-fcgi.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_php-fcgi.conf
%changelog
* Sun May 31 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apache-php-fcgi.git;a=log;h=master

* Sun May 31 2015 Elan Ruusamäe <glen@delfi.ee> 69c891f
- requires mod_actions

* Tue May 26 2015 Elan Ruusamäe <glen@delfi.ee> 251b38e
- suggest php-fcgi-init, may use fpm instead

* Tue May 26 2015 Elan Ruusamäe <glen@delfi.ee> df585f0
- make apache config apache 2.4 compatible

* Tue May 26 2015 Elan Ruusamäe <glen@delfi.ee> 52ab9b6
- move apache config as separate file

* Tue May 26 2015 Elan Ruusamäe <glen@delfi.ee> 0e7e350
- update for apache2, use php 5.6 by default

* Mon Aug 18 2014 Elan Ruusamäe <glen@delfi.ee> 2cc0a12
- update cvs address

* Wed Oct 08 2008 fax <> 6ab8187
- added missing option

* Mon Oct 06 2008 fax <> 864ef52
- increased idle timeout by default

* Mon Jul 21 2008 Elan Ruusamäe <glen@delfi.ee> 0854e40
- virtual package providing php5 to apache1 via fcgi

